> For the complete documentation index, see [llms.txt](https://docs.xy.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xy.finance/bridge-aggregator-integration/xy-finance-api-multiple-bridges-aggregator/error-message.md).

# Error Message

```
// error response schema
{
    success: boolean
    errorCode: integer
    errorMsg: string
}
```

<table><thead><tr><th width="228">Description</th><th width="466">errorMsg</th><th>errorCode</th></tr></thead><tbody><tr><td>Unknown error.</td><td>Unknown error.</td><td>10000</td></tr><tr><td>System maintenance.</td><td>System under maintenance. Please wait and check our Twitter for updates.</td><td>10001</td></tr><tr><td>Parameter 'affiliate' is invalid.</td><td>Affiliate is required if commission_rate is provided.</td><td>20001</td></tr><tr><td>Parameter 'slippage" is invalid.</td><td>Slippage must be within the range [0, 50]</td><td>20003</td></tr><tr><td>Parameter 'swapProviders' is required.</td><td>If 'srcQuoteTokenAddress' differs from 'srcBridgeTokenAddress' or 'dstQuoteTokenAddress' differs from 'dstBridgeTokenAddress', API request parameter 'swapProviders' is required.</td><td>20004</td></tr><tr><td>Parameter 'bridgeProvider', 'srcBridgeTokenAddress' and 'dstBridgeTokenAddress' are required.</td><td>If 'srcChainId' differs from 'dstChainId', API request parameters 'bridgeProvider', 'srcBridgeTokenAddress' and 'dstBridgeTokenAddress' are required.</td><td>20005</td></tr><tr><td>Address is invalid.</td><td>Address {address} is invalid.</td><td>20006</td></tr><tr><td>Cannot apply parameter 'swap provider'.</td><td>{Source/Destination} 'swapProviders' is not allowed {reason}.</td><td>20007</td></tr><tr><td>Cannot apply parameter 'bridge provider'.</td><td>If 'srcChainId' equals 'dstChainId', API request parameter 'bridgeProviders' is not allowed.</td><td>20008</td></tr><tr><td>Parameter 'sourceQuoteToken' ≤ 0</td><td>API request parameter 'srcTokenAmount' must be greater than 0.</td><td>20009</td></tr><tr><td>Not supported network.</td><td>Chain {chain_id} is not supported.</td><td>30001</td></tr><tr><td>No available route found.</td><td>No available route found, please try again later.</td><td>30002</td></tr><tr><td>Not supported 'bridgeProviders'</td><td>'bridgeProvider' : {bridgeProvider} is not supported.</td><td>30003</td></tr><tr><td>Invalid 'commisionRate'</td><td>API request parameter 'commission_rate' {value} is not in the range [{lower_bound}, {upper_bound}].</td><td>30004</td></tr><tr><td>Not supported 'swapProviders'</td><td>'swapProvider' : {swapProvider} is not supported on chain {chain_id}.</td><td>30005</td></tr><tr><td>Network under maintenance.</td><td>The network chain id : {chain_id} is under maintenance, please follow our update.</td><td>30006</td></tr><tr><td>Applied dex aggregator currently no route.</td><td>Applied DEX aggregator is currently unable to provide available route for requested swap pair, please try again later.</td><td>30007</td></tr><tr><td>Not supported bridge token amount; amount is too low.</td><td>Bridge token amount below minimum threshold. Please try a higher amount. Minumum threshold : {Threshold_bridge_token_amount: int} {src_bridge_token_symbol: int} Threshold bridge token address : {src_bridge_token_address: int}</td><td>30008</td></tr><tr><td>Not supported bridge token amount; amount is too high.</td><td>Bridge token amount exceeds maximum threshold. Please try a lower amount. Maximum threshold : {Threshold_bridge_token_amount: int} {src_bridge_token_symbol: int} Threshold bridge token address : {src_bridge_token_address: int}</td><td>30009</td></tr><tr><td>[yBridge] requested bridge token is not a yBridge token</td><td>Requested bridge token is invalid and not supported by yBridge.</td><td>31003</td></tr><tr><td>[cBridge] API fail</td><td>cBridge API error.</td><td>32004</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xy.finance/bridge-aggregator-integration/xy-finance-api-multiple-bridges-aggregator/error-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
